Subject: Re: [UPDATED] [NET-NEXT PATCH 1/2] pkt_sched: Add multiqueue scheduler support

From: Alexander Duyck <[email-masked]>
Date: Tue, 02 Sep 2008 13:53:02 -0700

Jarek Poplawski wrote:
> Right. But since this doesn't cause this additional blocking I'm not
> sure there is a reason to forbid this. IMHO documenting this could be
> enough, and letting to do this could be useful even for testing. But,
> of course, you are the author, so I don't persist with this.
> 
> Thanks,
> Jarek P.

You are correct in that it doesn't cause any additional blocking, but it 
does break the way that the prio qdisc is supposed to work.  I figure it 
is best to keep all the qdiscs behaving the way they are supposed to 
without my qdisc changing their behavior by acting as a leaf.

Thanks for all the useful input.

Alex